Bug 111646 - insmod visor fails
insmod visor fails
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-07 16:30 EST by Sjoerd Mullender
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-08 03:08:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sjoerd Mullender 2003-12-07 16:30:10 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6b)
Gecko/20031130 Firebird/0.7+

Description of problem:
insmod visor fails with
# insmod visor
Using /lib/modules/2.4.22-1.2129.nptl/kernel/drivers/usb/serial/visor.o
/lib/modules/2.4.22-1.2129.nptl/kernel/drivers/usb/serial/visor.o:
unresolved symbol usb_serial_deregister_Rd9001779
/lib/modules/2.4.22-1.2129.nptl/kernel/drivers/usb/serial/visor.o:
unresolved symbol usb_serial_register_Ra77ee610

This worked fine in the Fedora Core 1 kernel (my current version is an
released (non-test) update of FC 1).

This bug makes it impossible to sync my Palm PDA.

Version-Release number of selected component (if applicable):
kernel-2.4.22-1.2129.nptl

How reproducible:
Always

Steps to Reproduce:
1.insmod visor
2.
3.
    

Actual Results:  Error message:
Using /lib/modules/2.4.22-1.2129.nptl/kernel/drivers/usb/serial/visor.o
/lib/modules/2.4.22-1.2129.nptl/kernel/drivers/usb/serial/visor.o:
unresolved symbol usb_serial_deregister_Rd9001779
/lib/modules/2.4.22-1.2129.nptl/kernel/drivers/usb/serial/visor.o:
unresolved symbol usb_serial_register_Ra77ee610


Expected Results:  Just the first line.

Additional info:
Comment 1 Arjan van de Ven 2003-12-08 03:08:16 EST
use modprobe not insmod if you're not prepared to fullfill
dependencies manually....

Note You need to log in before you can comment on or make changes to this bug.